/*****************************************************************************/
/* メニュー座標ファイル読み込み：V3.0					     */
/*****************************************************************************/

#include <stdio.h>
#include <string.h>
#include "defines.h"
#include "aig.h"

/* Version 3 構造 */
/* ヘッダー バージョン サイズ ヘルプ座標 xx yy */

/*****************************************************************************/

int load_xy(unchar *path,int ver,int xx[],int yy[])
{
FILE *fp;
int size;
unchar drv[MAXDRIVE],dir[MAXDIR],fname[MAXFILE];
unchar verxy[MAXPATH];
	strsfn2(path,drv,dir,fname,verxy);
	strmfn(verxy,drv,dir,fname,"XY");
	
	fp=fopen(verxy,"rb");
	if (fp==NULL) return(1); /* 座標ファイルが無い */
	
	sprintf2(verxy,XYMES,fname,ver);
	fgets(dir,MAXDIR,fp);
	if (strcmpi(dir,verxy)) { /* 識別子不一致 */
		fclose(fp);
		return(2);
	}
	/* 識別子は一致した */
	
	if (fgetc(fp)!=XYVER) { /* ファイル構造バージョン不一致 */
		fclose(fp);
		return(3);
	}
	/* ファイル構造バージョンも一致した */
	
	/* サイズ読み込み */
	fread(&size,sizeof(int),1,fp);
	
	/* ヘルプ座標飛ばし */
	/* ヘルプ座標はload_help_xy()が読み込み、メインが読み込むことは無い */
	fseek(fp,sizeof(int)*2,SEEK_CUR);
	
	/* 座標読み込み */
	fread(xx,size,1,fp);
	fread(yy,size,1,fp);
	
	fclose(fp);
	return(0);
}

 /*****************************************************************************/
